{% load static from staticfiles %}	
{%load static%}


<!DOCTYPE html>
<html>
<head>
	<title>Lab_10</title>
	

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css"  href="{% static "style_daftar_books.css" %}">
	<link rel="stylesheet" type="text/css"  href="{% static "style_lab_10.css" %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>
	<script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
	
	
	
</head>
<body>

	

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	<script src="https://apis.google.com/js/platform.js" async defer></script>
	

	<nav class="navbar navbar-expand-sm  navbar-light  justify-content-center" id="navigasi">
  		<ul class="navbar-nav">
  			<li class="nav-item">
		      <p class="nav-link  text-center menu" href="#">Theme :</a>
		    </li>
		    <li class="nav-item">
		      <a id="btn1" class="nav-link  text-center menu" href="#">Default</a>
		    </li>
		    <li class="nav-item">
		      <a id="btn2" class="nav-link  text-center menu" href="#">Dark</a>
		    </li>
		</ul>
	</nav>

	<div class="container-fluid">
		

		    <div class="form sign-up" method="POST">
		    	{% csrf_token %}	
				<h2>Time to feel like home,</h2>
				<label>
					<span>Name</span>
					<input type="text" id="inputName" oninput="validateName()" />
					<div id="invalidName"></div>
				</label>
				<label>
					
					<span>Email</span>
					<input type="email" id="inputEmail" oninput="validateEmail()" />
					<div id="invalidEmail"></div>
				</label>
				<label>
					
					<span>Password</span>
					<input type="password" id="inputPassword" oninput="validatePass()" />
					<div id="invalidPassword"></div>
				</label>
				<button type="submit" class="submit disabled" id="submit">Sign Up</button>
				<a href="{% url 'social:begin' 'google-oauth2' %}"><button type="button" class="fb-btn p-2">
					Login with Google
				</button></a><br>
		</div>

	
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	
	<script>
		$(document).ready(function(){
		    $("#btn1").click(function(){
		    	$("#navigasi").css({"background-color" : "white"})
		    	$(".menu").css({"color" : "rgba(0,0,0,.5)"});
		    	$("body").css({"background-color" : "white",
		    					"color" : "black"})
		    	$("tr").css({"background-color" : "white",
		    					"color" : "black"})
		    	
		    });
		    $("#btn2").click(function(){
		    	$("#navigasi").css({"background-color" : "#7f8c8d",})
		    	$(".menu").css({"color" : "white"});
		    	$("body").css({"background-color" : "#95a5a6",
		    					"color" : "white"})
		       	$("tr").css({"background-color" : "#95a5a6",
		    					"color" : "white"})

		    });

		    
		});

		var emailIsValid = false;
		var nameIsValid = false;
		var passwordIsValid = false;



		function isEmail(email) {
		    var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
		    return regex.test(email);
		}


		function validateEmail() {
		    var inputEmail = $('#inputEmail').val();
		    var csrfmiddlewaretoken = $('[name=csrfmiddlewaretoken]').val();
		    $.ajax({
		        method : "POST",
		        url : "/lab-6/validate/",
		        data : {email:inputEmail},
		        dataType : "json",
		        headers: {
		            "X-CSRFToken": csrfmiddlewaretoken
		        },
		        success : function (datajson) {
		            if (datajson.email_is_exist) {
		                emailIsValid = false;
		                $('#invalidEmail').text("That's e-Mail is exist");
		                $('#invalidEmail').css({"color":"red","text-align":"center"});
		                
		            } else if (inputEmail.length == 0) {
		                emailIsValid = false;
		                $('#invalidEmail').text("This Fill is empty");
		                $('#invalidEmail').css({"color":"red","text-align":"center"});
		                
		            } else if (!isEmail(inputEmail)){
		                emailIsValid = false;
		                $('#invalidEmail').text("Please enter a valid e-mail");
		                $('#invalidEmail').css({"color":"red","text-align":"center"});
		                
		            } else {
		                emailIsValid = true;
		                $('#invalidEmail').text("");
		                
		            }
		        },
		    });

		    btnVisible()
		}

		function validateName() {
		    var inputName = $('#inputName').val()
		    if (inputName.length > 0 && inputName.length <= 100) {
		        nameIsValid = true;
		        $('#invalidName').text("");
		        
		    } else {
		        nameIsValid = false;
		        $('#invalidName').text("Name is empty or more than 100");
		        $('#invalidName').css({"color":"red","text-align":"center"});
		        
		    }
		    btnVisible()
		}

		function validatePass() {
		    var inputPassword = $('#inputPassword').val()
		    if (inputPassword.length > 0 && inputPassword.length <= 20) {
		        passwordIsValid = true;
		        $('#invalidPassword').text("");
		        
		    } else {
		        passwordIsValid = false;
		        $('#invalidPassword').text("Password is empty or more than 20");
		        $('#invalidPassword').css({"color":"red","text-align":"center"});
		        
		    }
		    btnVisible()
		}

		function btnVisible() {
		    if (emailIsValid && passwordIsValid && nameIsValid) {
		        $('#submit').removeClass('disabled');
		        $("#submit").css({"background" : "#2ebdbd",})
		    } else if (!$('#submit').hasClass('disabled')) {
		        $('#submit').addClass('disabled');
		    }
		}

		$(document).ready(function () {
		    function getCookie(name) {
		        var cookieValue = null;
		        if (document.cookie && document.cookie !== '') {
		            var cookies = document.cookie.split(';');
		            for (var i = 0; i < cookies.length; i++) {
		                var cookie = jQuery.trim(cookies[i]);
		                // Does this cookie string begin with the name we want?
		                if (cookie.substring(0, name.length + 1) === (name + '=')) {
		                cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
		                break;
		                }
		            }
		        }
		        return cookieValue;
		    }
		    
		    var csrftoken = getCookie('csrftoken');
		    function csrfSafeMethod(method) {
		        return (/^(GET|HEAD|OPTIONS|TRACE)$/.test(method));
		    }

		    $.ajaxSetup({
		        beforeSend: function(xhr, settings) {
		            if (!csrfSafeMethod(settings.type) && !this.crossDomain) {
		                xhr.setRequestHeader("X-CSRFToken", csrftoken);
		            }
		        }
		    });

		    $(document).on('.submit', '.form',function(e) {
		        if(!$('#submit').hasClass('disabled')) {
		            e.preventDefault();
		            $.ajax({
		                type:'POST',
		                url:'/lab-6/add_form/',
		                data:{
		                    name:$('#inputName').val(),
		                    email:$('#inputEmail').val(),
		                    password:$('#inputPassword').val(),
		                    csrfmiddlewaretoken:$('input[name=csrfmiddlewaretoken]').val()
		                },
		                sucess:function() {
		                }
		            });
		            $('#inputName').val("")
		            $('#inputEmail').val("")
		            $('#inputPassword').val("")
		            alert("New user has been created!");
		            emailIsValid = false;
		            nameIsValid = false;
		            passwordIsValid = false;
		        } else {
		            return false;
		        }
		    });
		});




	</script>
	
	

	
</body>
</html>
